> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project template

> Note: importSettings in response is deprecated and will be always null



## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v1/projectTemplates/{projectTemplateUid}
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/projectTemplates/{projectTemplateUid}:
    get:
      tags:
        - Project Template
      summary: Get project template
      description: 'Note: importSettings in response is deprecated and will be always null'
      operationId: getProjectTemplate
      parameters:
        - name: projectTemplateUid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectTemplate'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    ProjectTemplate:
      type: object
      properties:
        assignedTo:
          type: array
          items:
            $ref: '#/components/schemas/AssignmentPerTargetLangDtoProjectTemplateV1'
        businessUnit:
          $ref: '#/components/schemas/BusinessUnitReferenceV1'
        client:
          $ref: '#/components/schemas/ClientReferenceV1'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        dateModified:
          type: string
          format: date-time
          example: '{ "epochSeconds": 1624619701, "nano": 0 }'
          description: Deprecated - use dateTimeModified field instead
        dateTimeModified:
          type: string
          format: date-time
        domain:
          $ref: '#/components/schemas/DomainReferenceV1'
        dynamicTitle:
          type: string
        fileHandoverSettings:
          $ref: '#/components/schemas/FileHandoverSettingsReferenceV1'
        id:
          type: string
        importSettings:
          $ref: '#/components/schemas/UidReference'
        modifiedBy:
          $ref: '#/components/schemas/UserReferenceV1'
        name:
          type: string
        note:
          type: string
        notifyProviders:
          $ref: >-
            #/components/schemas/ProjectTemplateNotifyProviderDtoProjectTemplateV1
        owner:
          $ref: '#/components/schemas/UserReferenceV1'
        projectWorkflowSettings:
          $ref: '#/components/schemas/ProjectWorkflowSettingsDtoV1'
        sourceLang:
          type: string
        subDomain:
          $ref: '#/components/schemas/SubDomainReferenceV1'
        targetLangs:
          type: array
          items:
            type: string
        templateName:
          type: string
        uid:
          type: string
        useDynamicTitle:
          type: boolean
        vendor:
          $ref: '#/components/schemas/VendorReferenceV1'
        workflowSettings:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepSettingsDtoProjectTemplateV1'
        workflowSteps:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepDtoV1'
    AssignmentPerTargetLangDtoProjectTemplateV1:
      type: object
      properties:
        providers:
          type: array
          items:
            $ref: '#/components/schemas/ProviderReferenceV1'
        targetLang:
          type: string
    BusinessUnitReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    ClientReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    DomainReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    FileHandoverSettingsReferenceV1:
      type: object
      properties:
        fileHandover:
          type: boolean
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
    ProjectTemplateNotifyProviderDtoProjectTemplateV1:
      type: object
      required:
        - organizationEmailTemplate
      properties:
        notificationIntervalInMinutes:
          type: integer
          format: int32
          minimum: 0
          maximum: 1440
        organizationEmailTemplate:
          $ref: '#/components/schemas/ObjectReference'
    ProjectWorkflowSettingsDtoV1:
      type: object
      properties:
        completeUnassigned:
          type: boolean
        propagateTranslationsToLowerWfDuringUpdateSource:
          type: boolean
    SubDomainReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    VendorReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    WorkflowStepSettingsDtoProjectTemplateV1:
      type: object
      properties:
        assignedTo:
          type: array
          items:
            $ref: '#/components/schemas/ProjectTemplateWorkflowSettingsAssignedToDto'
        lqaProfile:
          $ref: '#/components/schemas/UidReference'
        notifyProvider:
          $ref: >-
            #/components/schemas/ProjectTemplateNotifyProviderDtoProjectTemplateV1
        workflowStep:
          $ref: '#/components/schemas/WorkflowStepReferenceV1'
    WorkflowStepDtoV1:
      type: object
      properties:
        abbr:
          type: string
          description: Abbreviation of the workflow step (1–3 characters)
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        lqaEnabled:
          type: boolean
          description: When true, LQA is enabled for this step
        name:
          type: string
          description: Name of the workflow step
        order:
          type: integer
          format: int32
          description: Display order of the workflow step
        uid:
          type: string
          description: Unique identifier used in API paths
    ProviderReferenceV1:
      type: object
      required:
        - type
      discriminator:
        propertyName: type
      properties:
        id:
          type: string
        type:
          type: string
        uid:
          type: string
          readOnly: true
    ObjectReference:
      type: object
    ProjectTemplateWorkflowSettingsAssignedToDto:
      type: object
      properties:
        providers:
          type: array
          items:
            $ref: '#/components/schemas/ProviderReferenceV1'
        targetLang:
          type: string
    WorkflowStepReferenceV1:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````